%global _empty_manifest_terminate_build 0
Name:		python-texttable
Version:	1.6.7
Release:	1
Summary:	Python module for creating simple ASCII tables
License:	MIT
URL:		https://github.com/foutaise/texttable
Source0:	https://files.pythonhosted.org/packages/e4/84/4686ee611bb020038375c5f11fe7b6b3bb94ee78614a1faba45effe51591/texttable-1.6.7.tar.gz
BuildArch:	noarch

%description
Python module for creating simple ASCII tables

%package -n python3-texttable
Summary:	Python module for creating simple ASCII tables
Provides:	python-texttable = %{version}-%{release}
BuildRequires:	python3-devel,
BuildRequires:	python3-setuptools,
BuildRequires:	python3-pytest
%description -n python3-texttable
Python module for creating simple ASCII tables

%package help
Summary:	Development documents and examples for texttable
Provides:	python3-texttable-doc
%description help
Python module for creating simple ASCII tables

%prep
%autosetup -n texttable-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.rst ]; then cp -af README.rst %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.md ]; then cp -af README.md %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.txt ]; then cp -af README.txt %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%check
py.test-%{python3_version} --verbose tests.py

%files -n python3-texttable -f filelist.lst
%license LICENSE
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Fri Dec 16 2022 wangjunqi <wangjunqi@kylinos.cn> - 1.6.7-1
- Update package to version 1.6.7

* Tue Aug 02 2022 zhaoshuang <zhaoshuang@uniontech.com> - 1.6.4-1
- update package to 1.6.4

* Thu Jan 14 2021 yanglongkang <yanglongkang@huawei.com> - 1.6.3-1
- update package to 1.6.3

* Fri Oct 30 2020 yanglongkang <yanglongkang@huawei.com> - 1.6.2-2
- remove python2 dependency

* Thu Jul 16 2020 jixinjie <jixinjie@huawei.com> - 1.6.2-1
- update package to 1.6.2

* Thu Feb 13 2020 Ruijun Ge <geruijun@huawei.com> - 1.4.0-2
- init package
